# Maintainer: duxet <duxetlg@gmail.com>
# Changes 
# Changed to ARM and bumped revision. Will Christensen 20190407

pkgname=k3s-bin
pkgver=1.23.6
pkgrel=1
pkgdesc="Lightweight Kubernetes"
url="https://k3s.io"
license=('Apache')
arch=('x86_64')
conflicts=('k3s-git')

source=(
  "k3s-${pkgver}::https://github.com/rancher/k3s/releases/download/v${pkgver}%2Bk3s1/k3s"
  "k3s.service"
  "k3s-agent.service"
)
md5sums=('dc50f2b89e96a1521e91254c8a10a9b9'
         'a58ff950ba2957e5ed1b4ae92d471f6c'
         '03f0506353d1f14bb062e0b015a29519')
package() {
  install -Dm 755 $srcdir/k3s-${pkgver} $pkgdir/usr/bin/k3s

  install -dm 755 $pkgdir/usr/lib/systemd/system
  install -m 644 $srcdir/k3s.service $pkgdir/usr/lib/systemd/system/k3s.service
  install -m 644 $srcdir/k3s-agent.service $pkgdir/usr/lib/systemd/system/k3s-agent.service
}
